%define pkg_name        IO-LockedFile
%define pkg_version     0.23
%define rpm_pkg_version 0.23
%define rpm_pkg_release 2.n0i.2

Summary:       Supply object methods for locking files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RA/RANI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Fcntl)}
%{!?_without_test:BuildRequires: perl(IO::File)}


%description
In its simplistic use, the IO::LockedFile class gives us the same interface
of the IO::File class with the unique difference that the files we deal
with are locked using the Flock mechanism (using the "flock" function).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path LockedFile/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.23-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Nov 13 2005 Marius Feraru <altblue@n0i.net> 0.23-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
